Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface ServicegenPackage.Literals

Enclosing interface:
  ServicegenPackage

    public static interface ServicegenPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `BASE_TYPES` The meta object literal for the '`Base Types`' class
`static org.eclipse.emf.ecore.EReference` | `BASE_TYPES__BASE_TYPES` The meta object literal for the 'Base Types' containment reference list feature
`static org.eclipse.emf.ecore.EClass` | `COMPOSITE_SC` The meta object literal for the '`Composite SC`' class
`static org.eclipse.emf.ecore.EClass` | `CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE` The meta object literal for the '`Custom Template Based Impl Cartridge`' class
`static org.eclipse.emf.ecore.EAttribute` | `CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE__TEMPLATE` The meta object literal for the 'Template' attribute feature
`static org.eclipse.emf.ecore.EClass` | `FLOW_BASED_SC` The meta object literal for the '`Flow Based SC`' class
`static org.eclipse.emf.ecore.EClass` | `FLOW_MODEL_IMPL_CARTRIDGE` The meta object literal for the '`Flow Model Impl Cartridge`' class
`static org.eclipse.emf.ecore.EClass` | `LOGIC_IMPL_CARTRIDGE` The meta object literal for the '`Logic Impl Cartridge`' class
`static org.eclipse.emf.ecore.EClass` | `MANUAL_IMPL_CARTRIDGE` The meta object literal for the '`Manual Impl Cartridge`' class
`static org.eclipse.emf.ecore.EAttribute` | `MANUAL_IMPL_CARTRIDGE__USE_INJECTED_POJO` The meta object literal for the 'Use Injected Pojo' attribute feature
`static org.eclipse.emf.ecore.EClass` | `MODEL_BASED_IMPL_CARTRIDGE` The meta object literal for the '`Model Based Impl Cartridge`' class
`static org.eclipse.emf.ecore.EClass` | `ORCHESTRATION_FLOW_COMPOSITE_SC` The meta object literal for the '`Orchestration Flow Composite SC`' class
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION_FLOW_COMPOSITE_SC__ORCHESTRATIONS` The meta object literal for the 'Orchestrations' reference list feature
`static org.eclipse.emf.ecore.EReference` | `ORCHESTRATION_FLOW_COMPOSITE_SC__RESOURCE_SET` The meta object literal for the 'Resource Set' reference feature
`static org.eclipse.emf.ecore.EClass` | `RESOURCE_BASED_SC` The meta object literal for the '`Resource Based SC`' class
`static org.eclipse.emf.ecore.EClass` | `RESOURCE_BASED_SIMPLE_SC` The meta object literal for the '`Resource Based Simple SC`' class
`static org.eclipse.emf.ecore.EReference` | `RESOURCE_BASED_SIMPLE_SC__RESOURCE_SET` The meta object literal for the 'Resource Set' reference feature
`static org.eclipse.emf.ecore.EClass` | `SERVICE_COMPONENT` The meta object literal for the '`Service Component`' class
`static org.eclipse.emf.ecore.EReference` | `SERVICE_COMPONENT__IMPL_CARTRIDGE` The meta object literal for the 'Impl Cartridge' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `SERVICE_IMPL` The meta object literal for the '`Service Impl`' class
`static org.eclipse.emf.ecore.EReference` | `SERVICE_IMPL__IMPL_CARTRIDGE` The meta object literal for the 'Impl Cartridge' containment reference feature
`static org.eclipse.emf.ecore.EReference` | `SERVICE_IMPL__PROVIDES` The meta object literal for the 'Provides' reference feature
`static org.eclipse.emf.ecore.EReference` | `SERVICE_IMPL__SERVICE_COMPONENT` The meta object literal for the 'Service Component' containment reference feature
`static org.eclipse.emf.ecore.EClass` | `SIMPLE_SC` The meta object literal for the '`Simple SC`' class
`static org.eclipse.emf.ecore.EClass` | `SOABE_MODEL` The meta object literal for the '`SOABE Model`' class
`static org.eclipse.emf.ecore.EReference` | `SOABE_MODEL__BASE_TYPES` The meta object literal for the 'Base Types' containment reference list feature
`static org.eclipse.emf.ecore.EAttribute` | `SOABE_MODEL__COD_COMPONENTE` The meta object literal for the 'Cod Componente' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SOABE_MODEL__COD_PRODOTTO` The meta object literal for the 'Cod Prodotto' attribute feature
`static org.eclipse.emf.ecore.EReference` | `SOABE_MODEL__RESOURCE_SET` The meta object literal for the 'Resource Set' reference feature
`static org.eclipse.emf.ecore.EReference` | `SOABE_MODEL__SERVICE_DEFS` The meta object literal for the 'Service Defs' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `SOABE_MODEL__SERVICEIMPLEMENTATIONS` The meta object literal for the 'Serviceimplementations' containment reference list feature
`static org.eclipse.emf.ecore.EReference` | `SOABE_MODEL__TARGET_PLATFORM` The meta object literal for the 'Target Platform' containment reference feature
`static org.eclipse.emf.ecore.EAttribute` | `SOABE_MODEL__VERSIONE_COMPONENTE` The meta object literal for the 'Versione Componente' attribute feature
`static org.eclipse.emf.ecore.EAttribute` | `SOABE_MODEL__VERSIONE_PRODOTTO` The meta object literal for the 'Versione Prodotto' attribute feature
`static org.eclipse.emf.ecore.EClass` | `TARGET_PLATFORM` The meta object literal for the '`Target Platform`' class
`static org.eclipse.emf.ecore.EAttribute` | `TARGET_PLATFORM__CODE` The meta object literal for the 'Code' attribute feature
`static org.eclipse.emf.ecore.EEnum` | `TARGET_PLATFORM_CODES` The meta object literal for the '`Target Platform Codes`' enum

Field Detail

### SOABE_MODEL

    static final org.eclipse.emf.ecore.EClass SOABE_MODEL

  The meta object literal for the '`SOABE Model`' class.

  See Also:
    `SOABEModelImpl`, `ServicegenPackageImpl.getSOABEModel()`

### SOABE_MODEL__BASE_TYPES

    static final org.eclipse.emf.ecore.EReference SOABE_MODEL__BASE_TYPES

  The meta object literal for the 'Base Types' containment reference list feature.

### SOABE_MODEL__COD_PRODOTTO

    static final org.eclipse.emf.ecore.EAttribute SOABE_MODEL__COD_PRODOTTO

  The meta object literal for the 'Cod Prodotto' attribute feature.

### SOABE_MODEL__COD_COMPONENTE

    static final org.eclipse.emf.ecore.EAttribute SOABE_MODEL__COD_COMPONENTE

  The meta object literal for the 'Cod Componente' attribute feature.

### SOABE_MODEL__VERSIONE_PRODOTTO

    static final org.eclipse.emf.ecore.EAttribute SOABE_MODEL__VERSIONE_PRODOTTO

  The meta object literal for the 'Versione Prodotto' attribute feature.

### SOABE_MODEL__VERSIONE_COMPONENTE

    static final org.eclipse.emf.ecore.EAttribute SOABE_MODEL__VERSIONE_COMPONENTE

  The meta object literal for the 'Versione Componente' attribute feature.

### SOABE_MODEL__SERVICEIMPLEMENTATIONS

    static final org.eclipse.emf.ecore.EReference SOABE_MODEL__SERVICEIMPLEMENTATIONS

  The meta object literal for the 'Serviceimplementations' containment reference list feature.

### SOABE_MODEL__SERVICE_DEFS

    static final org.eclipse.emf.ecore.EReference SOABE_MODEL__SERVICE_DEFS

  The meta object literal for the 'Service Defs' containment reference list feature.

### SOABE_MODEL__TARGET_PLATFORM

    static final org.eclipse.emf.ecore.EReference SOABE_MODEL__TARGET_PLATFORM

  The meta object literal for the 'Target Platform' containment reference feature.

### SOABE_MODEL__RESOURCE_SET

    static final org.eclipse.emf.ecore.EReference SOABE_MODEL__RESOURCE_SET

  The meta object literal for the 'Resource Set' reference feature.

### BASE_TYPES

    static final org.eclipse.emf.ecore.EClass BASE_TYPES

  The meta object literal for the '`Base Types`' class.

  See Also:
    `BaseTypesImpl`, `ServicegenPackageImpl.getBaseTypes()`

### BASE_TYPES__BASE_TYPES

    static final org.eclipse.emf.ecore.EReference BASE_TYPES__BASE_TYPES

  The meta object literal for the 'Base Types' containment reference list feature.

### SERVICE_IMPL

    static final org.eclipse.emf.ecore.EClass SERVICE_IMPL

  The meta object literal for the '`Service Impl`' class.

  See Also:
    `ServiceImplImpl`, `ServicegenPackageImpl.getServiceImpl()`

### SERVICE_IMPL__PROVIDES

    static final org.eclipse.emf.ecore.EReference SERVICE_IMPL__PROVIDES

  The meta object literal for the 'Provides' reference feature.

### SERVICE_IMPL__SERVICE_COMPONENT

    static final org.eclipse.emf.ecore.EReference SERVICE_IMPL__SERVICE_COMPONENT

  The meta object literal for the 'Service Component' containment reference feature.

### SERVICE_IMPL__IMPL_CARTRIDGE

    static final org.eclipse.emf.ecore.EReference SERVICE_IMPL__IMPL_CARTRIDGE

  The meta object literal for the 'Impl Cartridge' containment reference feature.

### TARGET_PLATFORM

    static final org.eclipse.emf.ecore.EClass TARGET_PLATFORM

  The meta object literal for the '`Target Platform`' class.

  See Also:
    `TargetPlatformImpl`, `ServicegenPackageImpl.getTargetPlatform()`

### TARGET_PLATFORM__CODE

    static final org.eclipse.emf.ecore.EAttribute TARGET_PLATFORM__CODE

  The meta object literal for the 'Code' attribute feature.

### SERVICE_COMPONENT

    static final org.eclipse.emf.ecore.EClass SERVICE_COMPONENT

  The meta object literal for the '`Service Component`' class.

  See Also:
    `ServiceComponentImpl`, `ServicegenPackageImpl.getServiceComponent()`

### SERVICE_COMPONENT__IMPL_CARTRIDGE

    static final org.eclipse.emf.ecore.EReference SERVICE_COMPONENT__IMPL_CARTRIDGE

  The meta object literal for the 'Impl Cartridge' containment reference feature.

### SIMPLE_SC

    static final org.eclipse.emf.ecore.EClass SIMPLE_SC

  The meta object literal for the '`Simple SC`' class.

  See Also:
    `SimpleSCImpl`, `ServicegenPackageImpl.getSimpleSC()`

### COMPOSITE_SC

    static final org.eclipse.emf.ecore.EClass COMPOSITE_SC

  The meta object literal for the '`Composite SC`' class.

  See Also:
    `CompositeSCImpl`, `ServicegenPackageImpl.getCompositeSC()`

### RESOURCE_BASED_SC

    static final org.eclipse.emf.ecore.EClass RESOURCE_BASED_SC

  The meta object literal for the '`Resource Based SC`' class.

  See Also:
    `ResourceBasedSCImpl`, `ServicegenPackageImpl.getResourceBasedSC()`

### RESOURCE_BASED_SIMPLE_SC

    static final org.eclipse.emf.ecore.EClass RESOURCE_BASED_SIMPLE_SC

  The meta object literal for the '`Resource Based Simple SC`' class.

  See Also:
    `ResourceBasedSimpleSCImpl`, `ServicegenPackageImpl.getResourceBasedSimpleSC()`

### RESOURCE_BASED_SIMPLE_SC__RESOURCE_SET

    static final org.eclipse.emf.ecore.EReference RESOURCE_BASED_SIMPLE_SC__RESOURCE_SET

  The meta object literal for the 'Resource Set' reference feature.

### ORCHESTRATION_FLOW_COMPOSITE_SC

    static final org.eclipse.emf.ecore.EClass ORCHESTRATION_FLOW_COMPOSITE_SC

  The meta object literal for the '`Orchestration Flow Composite SC`' class.

  See Also:
    `OrchestrationFlowCompositeSCImpl`, `ServicegenPackageImpl.getOrchestrationFlowCompositeSC()`

### ORCHESTRATION_FLOW_COMPOSITE_SC__ORCHESTRATIONS

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION_FLOW_COMPOSITE_SC__ORCHESTRATIONS

  The meta object literal for the 'Orchestrations' reference list feature.

### ORCHESTRATION_FLOW_COMPOSITE_SC__RESOURCE_SET

    static final org.eclipse.emf.ecore.EReference ORCHESTRATION_FLOW_COMPOSITE_SC__RESOURCE_SET

  The meta object literal for the 'Resource Set' reference feature.

### FLOW_BASED_SC

    static final org.eclipse.emf.ecore.EClass FLOW_BASED_SC

  The meta object literal for the '`Flow Based SC`' class.

  See Also:
    `FlowBasedSC`, `ServicegenPackageImpl.getFlowBasedSC()`

### LOGIC_IMPL_CARTRIDGE

    static final org.eclipse.emf.ecore.EClass LOGIC_IMPL_CARTRIDGE

  The meta object literal for the '`Logic Impl Cartridge`' class.

  See Also:
    `LogicImplCartridgeImpl`, `ServicegenPackageImpl.getLogicImplCartridge()`

### MANUAL_IMPL_CARTRIDGE

    static final org.eclipse.emf.ecore.EClass MANUAL_IMPL_CARTRIDGE

  The meta object literal for the '`Manual Impl Cartridge`' class.

  See Also:
    `ManualImplCartridgeImpl`, `ServicegenPackageImpl.getManualImplCartridge()`

### MANUAL_IMPL_CARTRIDGE__USE_INJECTED_POJO

    static final org.eclipse.emf.ecore.EAttribute MANUAL_IMPL_CARTRIDGE__USE_INJECTED_POJO

  The meta object literal for the 'Use Injected Pojo' attribute feature.

### CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE

    static final org.eclipse.emf.ecore.EClass CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE

  The meta object literal for the '`Custom Template Based Impl Cartridge`' class.

  See Also:
    `CustomTemplateBasedImplCartridgeImpl`, `ServicegenPackageImpl.getCustomTemplateBasedImplCartridge()`

### CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE__TEMPLATE

    static final org.eclipse.emf.ecore.EAttribute CUSTOM_TEMPLATE_BASED_IMPL_CARTRIDGE__TEMPLATE

  The meta object literal for the 'Template' attribute feature.

### MODEL_BASED_IMPL_CARTRIDGE

    static final org.eclipse.emf.ecore.EClass MODEL_BASED_IMPL_CARTRIDGE

  The meta object literal for the '`Model Based Impl Cartridge`' class.

  See Also:
    `ModelBasedImplCartridgeImpl`, `ServicegenPackageImpl.getModelBasedImplCartridge()`

### FLOW_MODEL_IMPL_CARTRIDGE

    static final org.eclipse.emf.ecore.EClass FLOW_MODEL_IMPL_CARTRIDGE

  The meta object literal for the '`Flow Model Impl Cartridge`' class.

  See Also:
    `FlowModelImplCartridgeImpl`, `ServicegenPackageImpl.getFlowModelImplCartridge()`

### TARGET_PLATFORM_CODES

    static final org.eclipse.emf.ecore.EEnum TARGET_PLATFORM_CODES

  The meta object literal for the '`Target Platform Codes`' enum.

  See Also:
    `TargetPlatformCodes`, `ServicegenPackageImpl.getTargetPlatformCodes()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD